<?php

namespace Drp\Peek\Blocks;

class Versions implements Block
{
    /** @var string */
    public $phpVersion;

    /** @var string */
    public $laravelVersion;

    public function __construct(string $phpVersion, string $laravelVersion)
    {
        $this->phpVersion = $phpVersion;
        $this->laravelVersion = $laravelVersion;
    }

    public function render(): string
    {
        return view('peek::blocks.versions', [
            'phpVersion' => $this->phpVersion,
            'laravelVersion' => $this->laravelVersion,
        ])->render();
    }
}
